Answered
0
0

Hi!

This feels like a silly question to be asking, but I’ve had a surprising amount of trouble with it so I figured I’d better just ask. What is the best method for updating the FMOD integration in a Unity project?

I’ve had success with one project by deleting all traces of FMOD plugin files from the project and importing the new package, but on another project that process doesn’t seem to work at all, the FMOD>About Integration version number just doesn’t seem to update.

Any tips?

  • Nicholas Wilcox
    Please give details on: your unity version, your unity license type, your operating system, the version of the FMOD Studio Integration you have installed, the version of the FMOD Studio Integration you are trying to upgrade to.
  • Nate Gallardo
    Hi Nicholas, Apologies for not responding at the time, and now dragging up this 3 months old thread. Focus on the project shifted away from audio implementation for an unexpected amount of time so.. I’m still having this issue. Unity Version: 5.1.2f1 Unity License: Free Windows 8.1 I’ve been using FMOD 1.06.01 for some time now. I tried to update a number of times, I believe I’ve tried 1.06.03, 1.06.06, 1.06.08 and today I tried 1.06.09. My process, as has worked in other Unity problems without issue is: – Delete all FMOD assets in the project. ie., those in the Editor and Plugins folders – I know Unity can be funny about .meta files and such sometimes, so I save the project and restart Unity. – Import the new 1.06.09 Unity integration. This seems to go fine, in that it doesn’t throw up any errors. Playing through the game, all audio seems to work fine. However, clicking FMOD>About Integration reports that it is still on 1.06.01. – Furthermore, re-building the project in FMOD Studio and then attempting to Refresh The Event Lists or Import The Bank in Unity throws up the following error: Error: Bank B:\Projects\Two\Two\Assets\StreamingAssets/Master Bank.bank was built with an incompatible version of FMOD Studio. Make sure the unity integration matches the FMOD Studio version. UnityEngine.Debug:LogError(Object) FMOD.Studio.UnityUtil:LogError(String) (at Assets/Plugins/FMOD/FMOD_StudioSystem.cs:63) FMODEditorExtension:LoadAllBanks() (at Assets/Plugins/FMOD/Editor/FMODEditorExtension.cs:803) FMODEditorExtension:ImportAndRefresh(String) (at Assets/Plugins/FMOD/Editor/FMODEditorExtension.cs:374) This has become an issue for us now because our current FMOD version doesn’t seem to support Windows 10. Let me know if there’s any other information I can provide that would be helpful :) Cheers! Nate
  • Nate Gallardo
    Ah, I’ve just noticed the comment system doesn’t preserve formatting :/
  • You must to post comments
Best Answer
0
0

It’s possible the FMOD x64 Windows DLL’s are locked by the editor and the updater is silently failing to replace them.

Delete (or move somewhere safe outside the Unity project) the DLL’s, restart Unity (the missing DLL’s will probably cause a few errors) and install the latest package.

  • You must to post comments
Showing 1 result
Your Answer

Please first to submit.